Subject: [[email-masked]: LCnet News-Release (special, 11/09/93)]

From: [email-masked] (Mi Mi)
Date: Tue, 9 Nov 93 16:28:57 CST

=FYI==FYI==FYI==FYI==FYI==FYI==FYI==FYI==FYI==FYI==FYI==FYI==FYI==FYI=
=Mi Mi Sr. Forwards==Mi Mi Sr. Forwards==Mi Mi Sr. Forwards=

As more and more lads are getting GCs, the EB-2 retrogress caused wide
concern among LC community. LC are joining IFCSS in order to probe the
possibilies to solve the EB-2 crisis. 

Well, it is a welcomed trend of LC activities. When LC are joining IFCSS
and caring about IFCSS, the CSS community can reunite again and become
stronger.

No one has to believe what the IFCSS believes, and no one has to agree
what the IFCSS advocates. As a virtually sole organization of CSS in the
US, IFCSS has established its own credibilities. It is too stupid to 
destroy it and set up a new one. The best way to change the cause of IFCSS
is to participate, through democratic process. When many of CSS advocate
democracy, why not practice it among ourselves?

As the undocumented Chinese, Mi Mi Sr. just talked with some of his friends.
Many who applied for Advanced Parole recently have been denied. Some with
Advanced Parole have been denied re-entry into the U.S. INS is getting 
tougher on those undocumented Chinese. Most of undocumented Chinese we 
heard about who are approved by INS for CSPA PR are those who had used
Advance Parole to re-enter U.S. before 1993. Of course there is the 
possibility that many who appled AP lately have not gone through the 
process yet. Chances for the undocumented Chinese to get CSPA PR are
not great. The main reason is the lack of records. But some did get through.
It is expected that for the next several months, most of the CSPA applicants
will be those undocumented Chinese who have managed to re-enter U.S. with
newly minted Advanced Paroles.

Either China's EB-2 and EB-3 pools are dwarfed by 50,000+ CSPA applicants.
Either some defect EB-2 or EB-3 ready applicants or newly added lads
can cause trmenduous retrogress in these two categories. In order to solve
the visa crisis, we need to create a limitless pool for the lads. To
utilize the world-wide leftover is the best, if not only, choice. To
get some visa extension or work permit do not do much good. With the so called
work permit under EO 12711, many EC ended up with DED lads, which is 
a major problem many lads are facing. Visa extension has to be granted 
through normal channels. It is very hard to pass another law now.

Hopefuly the retrogress will stop soon, since June 30 is coming very fast.
If those who picked up EB-2 instead of CSPA can not get GC in time, and 
their chances of getting PR through normal channels are not so great, some 
of them will probably switch back to CSPA for safty reasons. 

With wide spread anti-immigration trend and sluggish economics, we have
to struggle for survive. Some time we have to cross fingers.

Good Luck, guys!

=FYI==FYI==FYI==FYI==FYI==FYI==FYI==FYI==FYI==FYI==FYI==FYI==FYI==FYI=
Date: Tue, 9 Nov 93 10:30:15 CST
Comment:  LCs Working Committee Information Exchange
Originator: [email-masked]
Reply-To: <[email-masked]>
Sender: [email-masked]
Version: 5.5 -- Copyright (c) 1991/92, Anastasios Kotsikonas
>From: [email-masked] (Enhua He)
To: Multiple recipients of list <[email-masked]>
Subject: LCnet News-Release (special, 11/09/93)

News-release11/09/1993

+--------------------------------------------------------------------------+
| 									   |
|                           WE CAME AFTER 04/11/90                         |
|                                  NETWORK				   |
|									   |
|									   |
+--------------------------------------------------------------------------+

                            SPECIAL EDITION

                  =====================================
                  1. A Letter from a LCnet Reader
                  2. Message from LCs Working Committee
                  =====================================

-----------------------------------------------------------------------
1. A Letter from a LCnet Reader
-----------------------------------------------------------------------

>From ****@*****.***.virginia.edu  Sun Nov  7 09:04:58 1993

Dear LCNet Editor:

I am writing to you concerning the Chinese employment based (2nd priority) 
visa number.

Before the implementation of CSPA, IFCSS said publicly several times on 
different occasions that CSPA would reduce the waiting time for an immigrant 
visa because most, if not all, of the CSSes who came before 4/11/90 would 
take advantage of CSPA. As a result, the immigrant visa number for Chinese 
students, especially for the 2nd preference (which is designated for 
advanced degree holders like most of the CSSes in the US) would become 
current. The argument thus had become a major reason for the silence of 
late-comers, and it had worked very well.

Unfortunately, 4 months after the implementation of CSPA, the visa priority
date for the 2nd preference has gone back to Feb 1992 from July 1993. I was 
shocked when I first read this on CND, and I had hoped that they had made 
a typing mistake.  Instead of Feb 1992, the date really should be Feb 1993.  
Much to my disapointment, two independent sources had confirmed the CND's 
news. The priority date for the employment based 2nd preference is indeed 
Feb 1992.

So what happened?

I don't have a clue.  Before the implementation of CSPA, the employment 
based visa number for 2nd preference had advanced to Dec 1992 and had 
become current in July, August and September 1993.  The INS official 
publication "Visa Bulletin" explained that "heavy demand for change of 
status, especially in local INS offices" is the cause of the retrogression.

I, for one, don't necessarily believe INS's explanation and I also want 
IFCSS to make good on its promises.  Would you mind posting my letter to 
the net?  If it is not too much trouble, could you also discuss this with 
IFCSS on this matter?

Best regards.

a LCnet Reader

-------------------------------------------------------------------------
2. Message from LCs Working Committee
-------------------------------------------------------------------------

Dear LCNet Readers:
 
    After we got the reader's feedback, we interviewed Mr. Chengyan Liu, the
nominee Chair of IFCSS newly proposed New Comers Working Committee. Mr. Liu
said that when he saw the visa news from CND-US, he immediately contacted 
Mr. Xiaozhu Liu, the IFCSS HQ staff who is in charge of the matter, and got no
meaningful answer. Mr. Xiaozhou Liu only suggested that the allegation was not
true and he could only take action after Chengyan has a proposal and get IFCSS
Council approved, which is due by mid-November. That means IFCSS HQ will
do nothing with visa issue. What's a disappointing strategy!
 
    As of today, we learned that Mr. Chengyan Liu does have a proposal, but
it can only be carried out after IFCSS Council's approval. We'll keep contact
with IFCSS, INS, and U.S. Congress and do our best.

LCs Working Committee

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Editors' notes:

To sign on, send "SUB LC-L (first name last name)" as body msg to 
[email-masked]. 

To sign off, send "UNSUB LC-L" as body msg to [email-masked].

Send comments to [email-masked].

Past issues of LCnet News-Release are FTP'able from CND.ORG, in the
directory pub/community/LCN

+-----------------------------------------------------------------------+
|   Editor-in-Chief: Enhua He, New York University                      |
|   Executive Editor: Xiaodong Huang, North Carolina State University   |
|   Editors: Huan Ren, University of California, Berkeley               |
|            Min Gao, Syracuse University                               |
|   Comments: [email-masked]  |  Sign on/off: [email-masked]        |
+-----------------------------------------------------------------------+
                       Unite, We Late Comers!